Opened 8 years ago

Closed 7 years ago

#1168 closed defect (duplicate)

lots of python traceback noise

Reported by: jreed Owned by:
Priority: medium Milestone:
Component: Unclassified Version:
Keywords: Cc:
CVSS Scoring: Parent Tickets:
Sensitive: no Defect Severity: N/A
Sub-Project: Core Feature Depending on Ticket:
Estimated Difficulty: 0 Add Hours to Ticket: 0
Total Hours: 0 Internal?: no

Description

I ran as non-root:

sbin/bind10 --brittle --verbose --user=reed

And it resulted in:

2011-08-11 07:51:13.194 INFO  [b10-boss.boss] BIND10_STARTING starting BIND10: bind10 20110223 (BIND 10 20110519)
2011-08-11 07:51:13.217 INFO  [b10-boss.boss] BIND10_SOCKCREATOR_INIT initializing socket creator parser
2011-08-11 07:51:13.221 INFO  [b10-boss.boss] BIND10_STARTING_PROCESS starting process b10-msgq
2011-08-11 07:51:13.468 INFO  [b10-boss.boss] BIND10_STARTING_PROCESS starting process b10-cfgmgr
2011-08-11 07:51:13.731 FATAL [b10-cfgmgr.cfgmgr] CFGMGR_DATA_READ_ERROR error reading configuration database from disk: Can't read configuration file: [Errno 13] Permission denied: '/home/reed/work/isc/bind10-install/var/bind10-devel/b10-config.db'
2011-08-11 07:51:13.743[b10-msgq] Closing socket fd 5
[b10-msgq] Receive error: EOF
 INFO  [b10-boss.boss] BIND10_STARTING_PROCESS starting process ccsession
2011-08-11 07:51:17.779 INFO  [b10-boss.boss] BIND10_KILLING_ALL_PROCESSES killing all started processes
2011-08-11 07:51:17.779 WARN  [b10-boss.boss] BIND10_SOCKCREATOR_KILL killing the socket creator
2011-08-11 07:51:17.781 INFO  [b10-boss.boss] BIND10_KILL_PROCESS killing process b10-cfgmgr
Traceback (most recent call last):
  File "/home/reed/work/isc/bind10-install/lib/python3.1/site-packages/isc/cc/session.py", line 203, in _receive_full_buffer
    self._receive_len_data()
  File "/home/reed/work/isc/bind10-install/lib/python3.1/site-packages/isc/cc/session.py", line 163, in _receive_len_data
    new_data = self._receive_bytes(self._recv_len_size)
  File "/home/reed/work/isc/bind10-install/lib/python3.1/site-packages/isc/cc/session.py", line 149, in _receive_bytes
    data = self._socket.recv(size)
socket.timeout: timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/reed/work/isc/bind10-install/lib/python3.1/site-packages/isc/config/ccsession.py", line 321, in add_remote_config
    answer, env = self._session.group_recvmsg(False, seq)
  File "/home/reed/work/isc/bind10-install/lib/python3.1/site-packages/isc/cc/session.py", line 266, in group_recvmsg
    env, msg  = self.recvmsg(nonblock, seq)
  File "/home/reed/work/isc/bind10-install/lib/python3.1/site-packages/isc/cc/session.py", line 121, in recvmsg
    data = self._receive_full_buffer(nonblock)
  File "/home/reed/work/isc/bind10-install/lib/python3.1/site-packages/isc/cc/session.py", line 218, in _receive_full_buffer
    raise SessionTimeout("recv() on cc session timed out")
isc.cc.session.SessionTimeout: recv() on cc session timed out

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/reed/work/isc/bind10-install/sbin/bind10", line 664, in startup
    self.start_all_processes()
  File "/home/reed/work/isc/bind10-install/sbin/bind10", line 600, in start_all_processes
    self.start_ccsession(c_channel_env)
  File "/home/reed/work/isc/bind10-install/sbin/bind10", line 483, in start_ccsession
    self.command_handler)
  File "/home/reed/work/isc/bind10-install/lib/python3.1/site-packages/isc/config/ccsession.py", line 187, in __init__
    default_logconfig_handler)
  File "/home/reed/work/isc/bind10-install/lib/python3.1/site-packages/isc/config/ccsession.py", line 325, in add_remote_config
    module_name)
isc.config.ccsession.ModuleCCSessionError: No answer from ConfigManager when asking about Remote module Logging

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/reed/work/isc/bind10-install/sbin/bind10", line 1069, in <module>
    main()
  File "/home/reed/work/isc/bind10-install/sbin/bind10", line 1018, in main
    startup_result = boss_of_bind.startup()
  File "/home/reed/work/isc/bind10-install/sbin/bind10", line 666, in startup
    self.kill_started_processes()
  File "/home/reed/work/isc/bind10-install/sbin/bind10", line 364, in kill_started_processes
    self.processes[pid].process.kill()
  File "/usr/pkg/lib/python3.1/subprocess.py", line 1337, in kill
    self.send_signal(signal.SIGKILL)
  File "/usr/pkg/lib/python3.1/subprocess.py", line 1327, in send_signal
    os.kill(self.pid, sig)
OSError: [Errno 3] No such process
[b10-msgq] Closing socket fd 5
new-host$ [b10-msgq] Receive error: EOF
[b10-msgq] Closing socket fd 4
[b10-msgq] Receive error: EOF


Even some of that noise happened after my shell prompt came back.

I had multiple problems -- msgq and bind10 suite was already running (I forgot) and I didn't have permission to read the configuration.

It is too noisy with the python backtrace.

Subtickets

Change History (2)

comment:1 Changed 8 years ago by shane

  • Milestone changed from New Tasks to Year 3 Task Backlog

comment:2 Changed 7 years ago by jinmei

  • Resolution set to duplicate
  • Status changed from new to closed

This should have been resolved in #2447.

Note: See TracTickets for help on using tickets.